DCMTK: DSRSOPInstanceReferenceList::SeriesStruct Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DSRSOPInstanceReferenceList::SeriesStruct Struct Reference

Internal structure defining the series list items. More...

## Public Member Functions
| SeriesStruct (const OFString &seriesUID)
| constructor
| ~SeriesStruct ()
| destructor
size_t | getNumberOfInstances () const
| get number of instance stored in the list of instances
OFCondition | read (DcmItem &dataset, const size_t flags)
| read instance level attributes from dataset
OFCondition | write (DcmItem &dataset) const
| write series and instance level attributes to dataset
OFCondition | readXML (const DSRXMLDocument &doc, DSRXMLCursor cursor, const size_t flags)
| read series and instance level attributes from XML document
OFCondition | writeXML (STD_NAMESPACE ostream &stream, const size_t flags) const
| write series and instance level attributes in XML format
InstanceStruct * | gotoInstance (const OFString &instanceUID)
| set cursor to the specified instance (if existent)
OFCondition | gotoFirstItem ()
| select the first item in the list.
OFCondition | gotoNextItem ()
| select the next item in the list.
OFCondition | addItem (const OFString &sopClassUID, const OFString &instanceUID)
| add new entry to the list of instances (if not already existent).
OFCondition | removeItem ()
| remove the current item from the list of instances.
| OFListIterator (InstanceStruct *) Iterator
| currently selected instance (cursor)

## Public Attributes
const OFString | SeriesUID
| Series Instance UID (VR=UI, VM=1, type 1)
OFString | RetrieveAETitle
| Retrieve Application Entity Title (VR=AE, VM=1-n, type 3)
OFString | RetrieveLocationUID
| Retrieve Location UID (VR=UI, VM=1, type 3)
OFString | StorageMediaFileSetID
| Storage Media File Set ID (VR=SH, VM=1, type 3)
OFString | StorageMediaFileSetUID
| Storage Media File Set UID (VR=UI, VM=1, type 3)
OFList< InstanceStruct * > | InstanceList
| list of referenced instances

## Detailed Description

Internal structure defining the series list items.

## Constructor & Destructor Documentation

## ◆ SeriesStruct()

DSRSOPInstanceReferenceList::SeriesStruct::SeriesStruct | ( | const OFString & | seriesUID | ) |

constructor

Parameters

  seriesUID | series instance UID

## Member Function Documentation

## ◆ addItem()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::addItem | ( | const OFString & | sopClassUID,
|  | const OFString & | instanceUID )

add new entry to the list of instances (if not already existent).

Finally, the specified item is selected as the current one.

Parameters

  sopClassUID | SOP class UID of the entry to be added
  instanceUID | SOP instance UID of the entry to be added

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfInstances()

size_t DSRSOPInstanceReferenceList::SeriesStruct::getNumberOfInstances | ( |  | ) | const

get number of instance stored in the list of instances

Returns
  number of instances

## ◆ gotoFirstItem()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::gotoFirstItem | ( |  | ) |

select the first item in the list.

That means the first instance in the current series.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ gotoInstance()

InstanceStruct * DSRSOPInstanceReferenceList::SeriesStruct::gotoInstance | ( | const OFString & | instanceUID | ) |

set cursor to the specified instance (if existent)

Parameters

  instanceUID | SOP instance UID of the entry to be searched for

Returns
  pointer to the instance structure if successful, NULL otherwise

## ◆ gotoNextItem()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::gotoNextItem | ( |  | ) |

select the next item in the list.

That means the next instance in the current series (if available).

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read instance level attributes from dataset

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ readXML()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::readXML | ( | const DSRXMLDocument & | doc,
|  | DSRXMLCursor | cursor,
|  | const size_t | flags )

read series and instance level attributes from XML document

Parameters

  doc | document containing the XML file content
  cursor | cursor pointing to the starting node
  flags | flag used to customize the reading process (see DSRTypes::XF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ removeItem()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::removeItem | ( |  | ) |

remove the current item from the list of instances.

After successful removal the cursor is set to the next valid position.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::write | ( | DcmItem & | dataset | ) | const

write series and instance level attributes to dataset

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ writeXML()

OFCondition DSRSOPInstanceReferenceList::SeriesStruct::writeXML | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags ) const

write series and instance level attributes in XML format

Parameters

  stream | output stream to which the XML document is written
  flags | flag used to customize the output (see DSRTypes::XF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this struct was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrsoprf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2